#!/bin/sh
if [ ! -d ~/.rtn ]; then
    mkdir ~/.rtn
fi
cp /usr/lib64/RunaRTN/*.properties ~/.rtn
cd ~/.rtn
SERVER_ADDRESS=`if [ -f ~/.runawfe-client.conf ]; then grep WFEServer_webaddress ~/.runawfe-client.conf | cut -f2- -d=; else grep WFEServer_webaddress /etc/runawfe-client.conf | cut -f 2- -d=; fi`
sed "s/main_wfe_server/$SERVER_ADDRESS/" application.properties > tmp.file && mv tmp.file application.properties
sed "s/main_wfe_server/$SERVER_ADDRESS/" application_ru.properties > tmp.file && mv tmp.file application_ru.properties
SERVER_ADDRESS=`echo $SERVER_ADDRESS | cut -d':' -f1`
sed "s/main_wfe_server/$SERVER_ADDRESS/" af_delegate.properties > tmp.file && mv tmp.file af_delegate.properties

MOZ_NAME=firefox
VER=""

for fileName in `ls /usr/lib64 | grep $MOZ_NAME`; do 
newVer=`echo $fileName | awk -F - '/.*-[0-9]*(\.[0-9]*)*/ {print $NF}' `
if [ "$newVer" \> "$VER" ]; then
    VER=$newVer
fi
done

if [ "$VER" != "" ]; then
    export MOZILLA_FIVE_HOME=/usr/lib64/$MOZ_NAME-$VER
else
    export MOZILLA_FIVE_HOME=/usr/lib64/$MOZ_NAME
fi
export LD_LIBRARY_PATH=/usr/lib64/RunaRTN:$MOZILLA_FIVE_HOME:$LD_LIBRARY_PATH
#export MOZILLA_FIVE_HOME=/usr/lib/firefox
#export LD_LIBRARY_PATH=/usr/lib/firefox

java -Dorg.eclipse.swt.browser.UseWebKitGTK=true -cp ".:/usr/lib64/RunaRTN/rtn.jar:/usr/lib64/java/swt.jar:/usr/share/java/swt.jar" ru.runa.notifier.PlatformLoader 
